Index: contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-gcc.spec	(revision b68a3f1c68ee57234d197ccaeb8209bbc161f46e)
+++ contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-gcc.spec	(revision 1bb1f32298a48ebacf57ba21a7750b73473c9812)
@@ -61,5 +61,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	1%{?dist}
+Release:      	2%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -101,5 +101,5 @@
 Requires:	rtems-4.10-gcc-common
 Requires:	rtems-4.10-arm-rtems4.10-binutils
-Requires:	rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-34%{?dist}
+Requires:	rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-35%{?dist}
 
 
@@ -118,5 +118,5 @@
 %if "%{gcc_version}" == "4.4.0"
 Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090414.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090415.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -442,5 +442,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-arm-rtems4.10-binutils
-# Requires:       rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-34%{?dist}
+# Requires:       rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-35%{?dist}
 # License:	GPL
 
@@ -594,5 +594,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        34%{?dist}
+Release:        35%{?dist}
 
 Requires:	rtems-4.10-newlib-common
@@ -614,5 +614,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        34%{?dist}
+Release:        35%{?dist}
 License:	Distributable
 
Index: contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-gcc.spec	(revision b68a3f1c68ee57234d197ccaeb8209bbc161f46e)
+++ contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-gcc.spec	(revision 1bb1f32298a48ebacf57ba21a7750b73473c9812)
@@ -61,5 +61,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	1%{?dist}
+Release:      	2%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -101,5 +101,5 @@
 Requires:	rtems-4.10-gcc-common
 Requires:	rtems-4.10-avr-rtems4.10-binutils
-Requires:	rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-34%{?dist}
+Requires:	rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-35%{?dist}
 
 
@@ -118,5 +118,5 @@
 %if "%{gcc_version}" == "4.4.0"
 Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090414.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090415.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -431,5 +431,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-avr-rtems4.10-binutils
-# Requires:       rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-34%{?dist}
+# Requires:       rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-35%{?dist}
 # License:	GPL
 
@@ -548,5 +548,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        34%{?dist}
+Release:        35%{?dist}
 
 Requires:	rtems-4.10-newlib-common
@@ -568,5 +568,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        34%{?dist}
+Release:        35%{?dist}
 License:	Distributable
 
Index: contrib/crossrpms/rtems4.10/bfin/rtems-4.10-bfin-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/bfin/rtems-4.10-bfin-rtems4.10-gcc.spec	(revision b68a3f1c68ee57234d197ccaeb8209bbc161f46e)
+++ contrib/crossrpms/rtems4.10/bfin/rtems-4.10-bfin-rtems4.10-gcc.spec	(revision 1bb1f32298a48ebacf57ba21a7750b73473c9812)
@@ -61,5 +61,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	1%{?dist}
+Release:      	2%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -101,5 +101,5 @@
 Requires:	rtems-4.10-gcc-common
 Requires:	rtems-4.10-bfin-rtems4.10-binutils
-Requires:	rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-34%{?dist}
+Requires:	rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-35%{?dist}
 
 
@@ -118,5 +118,5 @@
 %if "%{gcc_version}" == "4.4.0"
 Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090414.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090415.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -442,5 +442,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-bfin-rtems4.10-binutils
-# Requires:       rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-34%{?dist}
+# Requires:       rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-35%{?dist}
 # License:	GPL
 
@@ -594,5 +594,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        34%{?dist}
+Release:        35%{?dist}
 
 Requires:	rtems-4.10-newlib-common
@@ -614,5 +614,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        34%{?dist}
+Release:        35%{?dist}
 License:	Distributable
 
Index: contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-gcc.spec	(revision b68a3f1c68ee57234d197ccaeb8209bbc161f46e)
+++ contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-gcc.spec	(revision 1bb1f32298a48ebacf57ba21a7750b73473c9812)
@@ -61,5 +61,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	1%{?dist}
+Release:      	2%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -101,5 +101,5 @@
 Requires:	rtems-4.10-gcc-common
 Requires:	rtems-4.10-h8300-rtems4.10-binutils
-Requires:	rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-34%{?dist}
+Requires:	rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-35%{?dist}
 
 
@@ -118,5 +118,5 @@
 %if "%{gcc_version}" == "4.4.0"
 Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090414.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090415.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -442,5 +442,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-h8300-rtems4.10-binutils
-# Requires:       rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-34%{?dist}
+# Requires:       rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-35%{?dist}
 # License:	GPL
 
@@ -594,5 +594,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        34%{?dist}
+Release:        35%{?dist}
 
 Requires:	rtems-4.10-newlib-common
@@ -614,5 +614,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        34%{?dist}
+Release:        35%{?dist}
 License:	Distributable
 
Index: contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-gcc.spec	(revision b68a3f1c68ee57234d197ccaeb8209bbc161f46e)
+++ contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-gcc.spec	(revision 1bb1f32298a48ebacf57ba21a7750b73473c9812)
@@ -61,5 +61,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	1%{?dist}
+Release:      	2%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -101,5 +101,5 @@
 Requires:	rtems-4.10-gcc-common
 Requires:	rtems-4.10-i386-rtems4.10-binutils
-Requires:	rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-34%{?dist}
+Requires:	rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-35%{?dist}
 
 
@@ -118,5 +118,5 @@
 %if "%{gcc_version}" == "4.4.0"
 Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090414.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090415.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -442,5 +442,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-i386-rtems4.10-binutils
-# Requires:       rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-34%{?dist}
+# Requires:       rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-35%{?dist}
 # License:	GPL
 
@@ -594,5 +594,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        34%{?dist}
+Release:        35%{?dist}
 
 Requires:	rtems-4.10-newlib-common
@@ -614,5 +614,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        34%{?dist}
+Release:        35%{?dist}
 License:	Distributable
 
Index: contrib/crossrpms/rtems4.10/lm32/rtems-4.10-lm32-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/lm32/rtems-4.10-lm32-rtems4.10-gcc.spec	(revision b68a3f1c68ee57234d197ccaeb8209bbc161f46e)
+++ contrib/crossrpms/rtems4.10/lm32/rtems-4.10-lm32-rtems4.10-gcc.spec	(revision 1bb1f32298a48ebacf57ba21a7750b73473c9812)
@@ -61,5 +61,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	1%{?dist}
+Release:      	2%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -101,5 +101,5 @@
 Requires:	rtems-4.10-gcc-common
 Requires:	rtems-4.10-lm32-rtems4.10-binutils
-Requires:	rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-34%{?dist}
+Requires:	rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-35%{?dist}
 
 
@@ -118,5 +118,5 @@
 %if "%{gcc_version}" == "4.4.0"
 Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090414.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090415.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -442,5 +442,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-lm32-rtems4.10-binutils
-# Requires:       rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-34%{?dist}
+# Requires:       rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-35%{?dist}
 # License:	GPL
 
@@ -594,5 +594,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        34%{?dist}
+Release:        35%{?dist}
 
 Requires:	rtems-4.10-newlib-common
@@ -614,5 +614,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        34%{?dist}
+Release:        35%{?dist}
 License:	Distributable
 
Index: contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-gcc.spec	(revision b68a3f1c68ee57234d197ccaeb8209bbc161f46e)
+++ contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-gcc.spec	(revision 1bb1f32298a48ebacf57ba21a7750b73473c9812)
@@ -61,5 +61,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	1%{?dist}
+Release:      	2%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -100,5 +100,5 @@
 
 Requires:	rtems-4.10-m32c-rtems4.10-binutils
-Requires:	rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-34%{?dist}
+Requires:	rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-35%{?dist}
 
 
@@ -117,5 +117,5 @@
 %if "%{gcc_version}" == "4.4.0"
 Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090414.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090415.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -431,5 +431,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-m32c-rtems4.10-binutils
-# Requires:       rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-34%{?dist}
+# Requires:       rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-35%{?dist}
 # License:	GPL
 
@@ -490,5 +490,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        34%{?dist}
+Release:        35%{?dist}
 
 
Index: contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-gcc.spec	(revision b68a3f1c68ee57234d197ccaeb8209bbc161f46e)
+++ contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-gcc.spec	(revision 1bb1f32298a48ebacf57ba21a7750b73473c9812)
@@ -61,5 +61,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	1%{?dist}
+Release:      	2%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -100,5 +100,5 @@
 
 Requires:	rtems-4.10-m32r-rtems4.10-binutils
-Requires:	rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-34%{?dist}
+Requires:	rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-35%{?dist}
 
 
@@ -117,5 +117,5 @@
 %if "%{gcc_version}" == "4.4.0"
 Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090414.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090415.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -431,5 +431,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-m32r-rtems4.10-binutils
-# Requires:       rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-34%{?dist}
+# Requires:       rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-35%{?dist}
 # License:	GPL
 
@@ -490,5 +490,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        34%{?dist}
+Release:        35%{?dist}
 
 
Index: contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-gcc.spec	(revision b68a3f1c68ee57234d197ccaeb8209bbc161f46e)
+++ contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-gcc.spec	(revision 1bb1f32298a48ebacf57ba21a7750b73473c9812)
@@ -61,5 +61,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	1%{?dist}
+Release:      	2%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -101,5 +101,5 @@
 Requires:	rtems-4.10-gcc-common
 Requires:	rtems-4.10-m68k-rtems4.10-binutils
-Requires:	rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-34%{?dist}
+Requires:	rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-35%{?dist}
 
 
@@ -118,5 +118,5 @@
 %if "%{gcc_version}" == "4.4.0"
 Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090414.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090415.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -442,5 +442,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-m68k-rtems4.10-binutils
-# Requires:       rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-34%{?dist}
+# Requires:       rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-35%{?dist}
 # License:	GPL
 
@@ -594,5 +594,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        34%{?dist}
+Release:        35%{?dist}
 
 Requires:	rtems-4.10-newlib-common
@@ -614,5 +614,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        34%{?dist}
+Release:        35%{?dist}
 License:	Distributable
 
Index: contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-gcc.spec	(revision b68a3f1c68ee57234d197ccaeb8209bbc161f46e)
+++ contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-gcc.spec	(revision 1bb1f32298a48ebacf57ba21a7750b73473c9812)
@@ -61,5 +61,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	1%{?dist}
+Release:      	2%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -101,5 +101,5 @@
 Requires:	rtems-4.10-gcc-common
 Requires:	rtems-4.10-mips-rtems4.10-binutils
-Requires:	rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-34%{?dist}
+Requires:	rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-35%{?dist}
 
 
@@ -118,5 +118,5 @@
 %if "%{gcc_version}" == "4.4.0"
 Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090414.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090415.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -442,5 +442,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-mips-rtems4.10-binutils
-# Requires:       rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-34%{?dist}
+# Requires:       rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-35%{?dist}
 # License:	GPL
 
@@ -594,5 +594,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        34%{?dist}
+Release:        35%{?dist}
 
 Requires:	rtems-4.10-newlib-common
@@ -614,5 +614,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        34%{?dist}
+Release:        35%{?dist}
 License:	Distributable
 
Index: contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-gcc.spec	(revision b68a3f1c68ee57234d197ccaeb8209bbc161f46e)
+++ contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-gcc.spec	(revision 1bb1f32298a48ebacf57ba21a7750b73473c9812)
@@ -61,5 +61,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	1%{?dist}
+Release:      	2%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -101,5 +101,5 @@
 Requires:	rtems-4.10-gcc-common
 Requires:	rtems-4.10-powerpc-rtems4.10-binutils
-Requires:	rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-34%{?dist}
+Requires:	rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-35%{?dist}
 
 
@@ -118,5 +118,5 @@
 %if "%{gcc_version}" == "4.4.0"
 Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090414.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090415.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -442,5 +442,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-powerpc-rtems4.10-binutils
-# Requires:       rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-34%{?dist}
+# Requires:       rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-35%{?dist}
 # License:	GPL
 
@@ -594,5 +594,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        34%{?dist}
+Release:        35%{?dist}
 
 Requires:	rtems-4.10-newlib-common
@@ -614,5 +614,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        34%{?dist}
+Release:        35%{?dist}
 License:	Distributable
 
Index: contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-gcc.spec	(revision b68a3f1c68ee57234d197ccaeb8209bbc161f46e)
+++ contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-gcc.spec	(revision 1bb1f32298a48ebacf57ba21a7750b73473c9812)
@@ -61,5 +61,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	1%{?dist}
+Release:      	2%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -101,5 +101,5 @@
 Requires:	rtems-4.10-gcc-common
 Requires:	rtems-4.10-sh-rtems4.10-binutils
-Requires:	rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-34%{?dist}
+Requires:	rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-35%{?dist}
 
 
@@ -118,5 +118,5 @@
 %if "%{gcc_version}" == "4.4.0"
 Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090414.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090415.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -442,5 +442,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-sh-rtems4.10-binutils
-# Requires:       rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-34%{?dist}
+# Requires:       rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-35%{?dist}
 # License:	GPL
 
@@ -594,5 +594,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        34%{?dist}
+Release:        35%{?dist}
 
 Requires:	rtems-4.10-newlib-common
@@ -614,5 +614,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        34%{?dist}
+Release:        35%{?dist}
 License:	Distributable
 
Index: contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-gcc.spec	(revision b68a3f1c68ee57234d197ccaeb8209bbc161f46e)
+++ contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-gcc.spec	(revision 1bb1f32298a48ebacf57ba21a7750b73473c9812)
@@ -61,5 +61,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	1%{?dist}
+Release:      	2%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -101,5 +101,5 @@
 Requires:	rtems-4.10-gcc-common
 Requires:	rtems-4.10-sparc-rtems4.10-binutils
-Requires:	rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-34%{?dist}
+Requires:	rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-35%{?dist}
 
 
@@ -118,5 +118,5 @@
 %if "%{gcc_version}" == "4.4.0"
 Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090414.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20090415.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -442,5 +442,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-sparc-rtems4.10-binutils
-# Requires:       rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-34%{?dist}
+# Requires:       rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-35%{?dist}
 # License:	GPL
 
@@ -594,5 +594,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        34%{?dist}
+Release:        35%{?dist}
 
 Requires:	rtems-4.10-newlib-common
@@ -614,5 +614,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        34%{?dist}
+Release:        35%{?dist}
 License:	Distributable
 
